package org.jerrymouse.database.hadoop.jpa;

import java.util.Map;

import junit.framework.TestCase;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.database.hadoop.jpa.HadoopPersistenceProvider;

public class HadoopPersistenceProviderTest extends TestCase {
	private static Log log = LogFactory
			.getLog(HadoopPersistenceProviderTest.class);

	HadoopPersistenceProvider hadoopPersistenceProvider;

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		hadoopPersistenceProvider = new HadoopPersistenceProvider();
	}

	public void testConfig() {
		Map<String, String> map = hadoopPersistenceProvider
				.config("hadoop-pmf");
		log.trace(map);
	}

	public void testCreateContainerEntityManagerFactory() {
		hadoopPersistenceProvider.createEntityManagerFactory(
				"hadoop-pmf", null);
	}

}
